@charset "utf-8";

/*全体ベース設定*/
#naniwa {
  line-height: 1.6;
  /* 行間*/
  color: #333;
  /* 文字色*/
  background: linear-gradient(259deg, rgba(255, 241, 0, 0.50) 0%, rgba(243, 152, 0, 0.50) 17%, rgba(198, 28, 39, 0.50) 34%, rgba(233, 94, 152, 0.50) 51%, rgba(164, 100, 166, 0.50) 68%, rgba(0, 151, 134, 0.50) 85%, rgba(0, 143, 209, 0.50) 100%);
  /* 背景色 */
  -webkit-font-smoothing: antialiased;
  /* 文字を滑らかに表示する（Mac向け） */
  font-family: "Noto Sans JP", "Hiragino Kaku Gothic ProN", "Yu Gothic", Meiryo, sans-serif;
  padding-bottom: 20px;
  margin-bottom: 20px;
}

.emphasis{
  font-size: 30px;
}

.portal-contents-text-center{
  text-align: center;
}

.portal-contents-center{
  display: flex;
  justify-content: center;
}

/*portal-main*/
.portal-mv h1 {
  display: flex;
  justify-content: center;
  /* 左右の中央寄せ */
  align-items: center;
  /* 上下の中央寄せ（念のため） */
}

.portal-contents-read {
  text-align: center;
}

.heart-text {
  color: #F13131;

}

.portal-contents-box {
  background: rgba(255, 253.77, 253.77, 0.10);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  border-radius: 10px;
  position: relative;
  margin:100px 50px;
  padding: 80px 50px 50px;


}
.portal-contents-box h2 {
  position: absolute;
  left: 20%;
  transform: translate(-13%, -120%);
}

.portal-contents-box h4 {
  position: absolute;
  transform: translate(-13%, -170%);
  color: rgba(255, 255, 255, 0.50);
}

.portal-contents-text-rotate{
  transform: rotate(-7deg);
}
.portal-contents-btn{
  text-align: center;
}

/*ボタンデザイン*/
.portal-contents-btn-link{
  display: block;
    background: #fff;
    padding: 10px 50px;
    font-size: 20px;
    font-weight: bold;
    border: solid 3px #000;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    transition: transform 0.1s ease;
  -webkit-tap-highlight-color: transparent;
}

.portal-contents-btn-link:active{
  transform: scale(0.95);
  background-color: #d9d9d9;
}

.portal-contents-btn-link:hover{
  background-color: #d9d9d9;
}


/*comingsoon*/
.portal-contents-image-wrapper{
  position: relative;
    display: block;
    pointer-events: none;
}

.comingsoon::before{
      content: '準備中 ーお楽しみに！ー';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    font-weight: bold;
    pointer-events: none;
    z-index: 1;
}

/*songlist*/
.jp-portal-list{
  margin: 10px 0;
}

.jp-portal-full-songlist ol {
    list-style: none;
    padding: 0;
    margin: 0;
}

.jp-portal-list-box {
    margin-bottom: 16px;
}

li.jp-portal-list-box{
  border-bottom: 1px solid #fff;
}

.jp-portal-list-box .jp-portal-list a{
  margin-bottom: 10px;
    align-items: center;
}

.jp-portal-list a{
  display: flex;
  justify-content: space-between;
  align-items: center;
    padding: 7px 25px;
    text-decoration: none;
    border-radius: 12px;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    -webkit-tap-highlight-color: transparent;
}

@media (hover: hover) {
    .jp-portal-list a:hover {
        transform: translateY(-4px); /* 4px分、上に持ち上げる */
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15); /* 影を広げて浮遊感を出す */
    }
}

.jp-portal-list a:active {
    transform: translateY(-1px) scale(0.98); /* 少しだけ位置を戻し、全体を98%に縮小 */
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);  /* 影を小さくして地面に近づける */
    transition: transform 0.05s ease, box-shadow 0.05s ease; /* 押した時は一瞬で反応させる */
}

.jp-portal-list-info{
  width: 100%;
}

.jp-portal-list-info .jp-portal-list-song{
  display: inline-block;
}

.jp-portal-list-song{
  font-size: 16px;
  font-weight: bold;
}

.jp-portal-list-arrow img{
  max-width: fit-content;
}

#playlist{
  display: flex;
  justify-content: center;
}

.portal-contents-release p{
  font-size: 150%;
  font-weight: bold;
}

.portal-contents-release p span{
  font-size: 60%;
  font-weight: normal;
  display: inline-block;
  margin-left: 10px;
}

.portal-contents-release-list{
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  flex-wrap: wrap;
}

.portal-contents-release-contents p{
  margin-top: 10px;
  text-align: center;
}


@media screen and (max-width: 767px) {
  .portal-contents-read {
  font-size: 16px;
  margin: 10px;
}

  .portal-contents-text{
    font-size: 15px;
  }

  .portal-contents-box{
    margin: 60px 10px;
    padding: 60px 10px 10px;
  }

  .portal-contents-box h2{
    left: 0;
    transform: translate(0%, -150%);
  }

  .portal-contents-btn-link{
    font-size: 15px;
  }

  .portal-contents-text-rotate{
    margin-bottom: 20px;
  }

  .portal-contents-box h4{
    transform: translate(0%, -150%);
  }
  .portal-contents-release-contents p{
    margin-bottom: 20px;
  }


/* iPhone14のなどw390以上のデバイス */
/*  #playlist>div:nth-child(2)>div {
    padding: 0px;
  }

  #playlist>div:nth-child(2)>p {
    padding: 20px;
  }

  #playlist>div:nth-child(2)>div {
    margin: 4px;
  }
    */
}

/*プレイリスト調整*/